Post Work Orders Search
Authentication
AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token:
-
Request API credentials from HINDSITE support to receive your
client_idandclient_secret -
Make a POST request to obtain an access token:
POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
- The response will contain your access token:
{
"access_token": "your_access_token_here",
"token_type": "Bearer",
"expires_in": 7200,
"created_at": 1234567890
}
- Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here
Request
This endpoint expects an object.
search
completed
location_ids
page
disable_pagination
work_order_ids
include_instruction_revisions
include_forms
only_show_planned
only_show_in_progress
archived
statuses
Filter by work order status (canonical replacement for only_show_planned / only_show_in_progress)
include_reviewers
Response
created Search
results
next_page
Next page number, or null if no more pages
